Uploaded image for project: 'TrueNAS'
  1. TrueNAS
  2. NAS-104649

Replication task fails to connect to remote host - [EFAULT] SSHException("Server '[remotehost.com]:3333'' not found in known_hosts")

    XMLWordPrintable

    Details

      Description

      I'm trying to set up a replication task with remote Freenas host as a source (local server is NATed, so can't really do it other way).
      I can ssh from my host to the remote one using alternate port and generated host key.
      The host and associated keys are added to /root/.ssh/known_hosts
      I have symlinked it to /usr/local/etc/ssh/known_hosts and /etc/ssh/known_hosts it didn't help.
      The error show up as I try to expand datasets in Tasks/Replication Tasks/Wizard/Source Datasets
      File "/usr/local/lib/python3.7/site-packages/zettarepl/dataset/list.py", line 19, in list_datasets
      return list(filter(None, shell.exec(args).split("\n")))
      File "/usr/local/lib/python3.7/site-packages/zettarepl/transport/interface.py", line 83, in exec
      return self.exec_async(args, encoding, stdout).wait()
      File "/usr/local/lib/python3.7/site-packages/zettarepl/transport/interface.py", line 87, in exec_async
      async_exec.run()
      File "/usr/local/lib/python3.7/site-packages/zettarepl/transport/base_ssh.py", line 26, in run
      client = self.shell.get_client()
      File "/usr/local/lib/python3.7/site-packages/zettarepl/transport/base_ssh.py", line 88, in get_client
      auth_timeout=self.transport.connect_timeout,
      File "/usr/local/lib/python3.7/site-packages/paramiko/client.py", line 416, in connect
      self, server_hostkey_name, server_key
      File "/usr/local/lib/python3.7/site-packages/paramiko/client.py", line 824, in missing_host_key
      "Server

      {!r}

      not found in known_hosts".format(hostname)
      paramiko.ssh_exception.SSHException: Server '[remotehost.com]:3333' not found in known_hosts

      During handling of the above exception, another exception occurred:

      Traceback (most recent call last):
      File "/usr/local/lib/python3.7/site-packages/middlewared/main.py", line 128, in call_method
      result = await self.middleware.call_method(self, message)
      File "/usr/local/lib/python3.7/site-packages/middlewared/main.py", line 1113, in call_method
      return await self._call(message['method'], serviceobj, methodobj, params, app=app, io_thread=False)
      File "/usr/local/lib/python3.7/site-packages/middlewared/main.py", line 1061, in _call
      return await methodobj(*args)
      File "/usr/local/lib/python3.7/site-packages/middlewared/schema.py", line 949, in nf
      return await f(*args, **kwargs)
      File "/usr/local/lib/python3.7/site-packages/middlewared/plugins/replication.py", line 619, in list_datasets
      return await self.middleware.call("zettarepl.list_datasets", transport, ssh_credentials)
      File "/usr/local/lib/python3.7/site-packages/middlewared/main.py", line 1122, in call
      app=app, pipes=pipes, job_on_progress_cb=job_on_progress_cb, io_thread=True,
      File "/usr/local/lib/python3.7/site-packages/middlewared/main.py", line 1061, in _call
      return await methodobj(*args)
      File "/usr/local/lib/python3.7/site-packages/middlewared/plugins/zettarepl.py", line 354, in list_datasets
      raise CallError(repr(e))
      middlewared.service_exception.CallError: [EFAULT] SSHException("Server '[remotehost.com]:3333' not found in known_hosts")

        Attachments

          Attachments

            JEditor

              Issue Links

                Activity

                  People

                  Assignee:
                  vladimirv Vladimir Vinogradenko
                  Reporter:
                  spitfire Mieszko Ślusarczyk
                  Votes:
                  0 Vote for this issue
                  Watchers:
                  4 Start watching this issue

                    Dates

                    Created:
                    Updated:
                    Resolved: